summaryrefslogtreecommitdiffstats
path: root/myjabberd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'myjabberd.sh')
-rwxr-xr-xmyjabberd.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/myjabberd.sh b/myjabberd.sh
new file mode 100755
index 0000000..f8d8a76
--- /dev/null
+++ b/myjabberd.sh
@@ -0,0 +1,16 @@
+#!/bin/sh -e
+
+DIRNAME=`dirname $0`
+cd $DIRNAME
+USAGE="$0 [ --update ]"
+if [ `id -u` != 0 ]; then
+echo 'You must be root to run this script'
+exit 1
+fi
+
+echo "Building and Loading Policy"
+set -x
+make -f /usr/share/selinux/devel/Makefile
+/usr/sbin/semodule -i myjabberd.pp
+
+/sbin/restorecon -F -R -v /usr/bin/router /usr/bin/sm /usr/bin/c2s /usr/bin/s2s